/*
 * Code for class WEL_WS_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"


#ifdef __cplusplus
extern "C" {
#endif

extern EIF_TYPED_VALUE F536_8647(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8648(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8649(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8650(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8651(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8652(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8653(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8654(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8655(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8656(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8657(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8658(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8659(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8660(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8661(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8662(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8663(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8664(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8665(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8666(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8667(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8668(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8669(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8670(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8671(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8672(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8673(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8674(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8675(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8676(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8677(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8678(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8679(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8680(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8681(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8682(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8683(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8684(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8685(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8686(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8687(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8688(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8689(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8690(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8691(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8692(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8693(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8694(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8695(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8696(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8697(EIF_REFERENCE);
extern EIF_TYPED_VALUE F536_8698(EIF_REFERENCE);
extern void EIF_Minit536(void);

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif


#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {WEL_WS_CONSTANTS}.ws_overlapped */
EIF_TYPED_VALUE F536_8647 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_tiled */
EIF_TYPED_VALUE F536_8648 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_popup */
EIF_TYPED_VALUE F536_8649 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0x80000000L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_child */
EIF_TYPED_VALUE F536_8650 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1073741824L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_clipsiblings */
EIF_TYPED_VALUE F536_8651 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 67108864L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_clipchildren */
EIF_TYPED_VALUE F536_8652 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 33554432L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_visible */
EIF_TYPED_VALUE F536_8653 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 268435456L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_disabled */
EIF_TYPED_VALUE F536_8654 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 134217728L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_minimize */
EIF_TYPED_VALUE F536_8655 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 536870912L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_iconic */
EIF_TYPED_VALUE F536_8656 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 536870912L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_maximize */
EIF_TYPED_VALUE F536_8657 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16777216L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_caption */
EIF_TYPED_VALUE F536_8658 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 12582912L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_border */
EIF_TYPED_VALUE F536_8659 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8388608L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_dlgframe */
EIF_TYPED_VALUE F536_8660 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4194304L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_vscroll */
EIF_TYPED_VALUE F536_8661 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2097152L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_hscroll */
EIF_TYPED_VALUE F536_8662 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1048576L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_sysmenu */
EIF_TYPED_VALUE F536_8663 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 524288L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_thickframe */
EIF_TYPED_VALUE F536_8664 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 262144L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_sizebox */
EIF_TYPED_VALUE F536_8665 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 262144L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_minimizebox */
EIF_TYPED_VALUE F536_8666 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131072L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_maximizebox */
EIF_TYPED_VALUE F536_8667 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65536L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_group */
EIF_TYPED_VALUE F536_8668 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131072L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_tabstop */
EIF_TYPED_VALUE F536_8669 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65536L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_overlappedwindow */
EIF_TYPED_VALUE F536_8670 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13565952L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_tiledwindow */
EIF_TYPED_VALUE F536_8671 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 13565952L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_popupwindow */
EIF_TYPED_VALUE F536_8672 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) -2138570752L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_childwindow */
EIF_TYPED_VALUE F536_8673 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1073741824L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_acceptfiles */
EIF_TYPED_VALUE F536_8674 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_clientedge */
EIF_TYPED_VALUE F536_8675 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 512L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_contexthelp */
EIF_TYPED_VALUE F536_8676 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1024L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_controlparent */
EIF_TYPED_VALUE F536_8677 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 65536L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_composited */
EIF_TYPED_VALUE F536_8678 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 33554432L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_dlgmodalframe */
EIF_TYPED_VALUE F536_8679 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_appwindow */
EIF_TYPED_VALUE F536_8680 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 262144L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_left */
EIF_TYPED_VALUE F536_8681 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_leftscrollbar */
EIF_TYPED_VALUE F536_8682 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 16384L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_ltrreading */
EIF_TYPED_VALUE F536_8683 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_mdichild */
EIF_TYPED_VALUE F536_8684 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 64L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_noparentnotify */
EIF_TYPED_VALUE F536_8685 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_overlappedwindow */
EIF_TYPED_VALUE F536_8686 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 768L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_palettewindow */
EIF_TYPED_VALUE F536_8687 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 392L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_right */
EIF_TYPED_VALUE F536_8688 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 4096L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_rightscrollbar */
EIF_TYPED_VALUE F536_8689 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_rtlreading */
EIF_TYPED_VALUE F536_8690 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8192L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_staticedge */
EIF_TYPED_VALUE F536_8691 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 131072L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_toolwindow */
EIF_TYPED_VALUE F536_8692 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 128L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_topmost */
EIF_TYPED_VALUE F536_8693 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 8L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_transparent */
EIF_TYPED_VALUE F536_8694 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 32L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_windowedge */
EIF_TYPED_VALUE F536_8695 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 256L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_layered */
EIF_TYPED_VALUE F536_8696 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 524288L);
	return r;
}

/* {WEL_WS_CONSTANTS}.ws_ex_noactivate */
EIF_TYPED_VALUE F536_8697 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 134217728L);
	return r;
}

/* {WEL_WS_CONSTANTS}.cw_usedefault */
EIF_TYPED_VALUE F536_8698 (EIF_REFERENCE Current)
{
	EIF_TYPED_VALUE r;
	r.type = SK_INT32;
	r.it_i4 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0x80000000L);
	return r;
}

void EIF_Minit536 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
